Poppler an excellent command line tool for PDF

 

poppler_logo Poppler contains a PDF rendering library and tools command line qwhich are used to manipulate PDF files. This is useful for providing the functionality of rendering PDF as a shared library.

poppler is an open source library, which is used to view PDF documents. This utility is maintained by freedesktop.org.

poppler It is based on Xpdf and was created for two main reasons.

Allow easier reuse of the rendering engine this allows redundant work to be reduced, and goes beyond the goals of Xpdf and more closely integrates and reuses the functionality provided by the operating system while xpdf is very self-contained.

poppler It is used by many programs geared towards viewing and editing PDF files. including KPDF and sample and can even be used as Xpdf backend.

The purpose of the xpdf fork is to be able to provide the functionality of rendering PDF as a shared resource. As well as the Library, to centralize the maintenance effort.

The applications incorporate the xpdf code base, and whenever a security problem is discovered, all these applications exchange patches and therefore new releases arise.

In turn, all distributions must package and release new versions of these xpdf-based viewers. With this there is a lot of effort duplicated with the current situation.

How to install Poppler on the different Linux distributions?

In order to install this excellent utility on your system, you must follow the instructions that we share below according to the Linux distribution you are using.

Poppler is a utility found within the repositories of almost all Linux distributions so its installation is quite simple.

Install Poppler on Debian, Ubuntu and derivatives.

In order to install this utility, We must open a terminal with Ctrl + Alt + T and in it we are going to execute the following command:

sudo apt-get install poppler

Note: this installation method is also valid for ARM systems (Raspberry Pi).

Install Poppler on Arch Linux and derivatives

If you are a user of Arch Linux or any system that is derived from it such as Manjaro, Antergos and others. We can obtain this utility from the official repositories just open a terminal in the system and type:

sudo pacman -S poppler

Note: this installation command is also valid for KaOS.

Install Poppler on RHEL, CentOS, Fedora, and derivatives

In the case of those who are users of these Linux distros or any system that is derived from one of these, the method to install this utility on their system is as follows.

They must open a terminal and execute the following command in it:

sudo dnf -i poppler

Install Poppler in openSUSE

For those who have openSUSE installed on their computers, they can obtain this tool with the help of YaST, from the openSUSE software website with the one-click installation method or from the terminal you can install it with the following command:

sudo zypper install poppler

How to compile Poppler from source code?

Finally, for distributions that do not have Poppler within their repositories, they can compile this tool from its source code.

For this we have to have Git support in the system.

We are going to open a terminal and we are going to obtain the source code with the following command:

git clone https://github.com/danigm/poppler.git

Now we are going to enter the poppler folder to begin with the compilation of its source code.

cd poppler

Done this now we are going to execute the compilation commands in the terminal being inside the poppler folder:

mkdir build &&

cd build &&

cmake  -DCMAKE_BUILD_TYPE=Release   \

-DCMAKE_INSTALL_PREFIX=/usr  \

-DTESTDATADIR=$PWD/testfiles \

-DENABLE_XPDF_HEADERS=ON     \

..  &&

make

Now as root we execute:

make install

And ready with it, they will already have this utility installed on their computers to be able to use it.

To learn a little more about the use of this utility you can visit the following link.

 


The content of the article adheres to our principles of editorial ethics. To report an error click here!.

A comment, leave yours

Leave a Comment

Your email address will not be published. Required fields are marked with *

*

*

  1. Responsible for the data: AB Internet Networks 2008 SL
  2. Purpose of the data: Control SPAM, comment management.
  3. Legitimation: Your consent
  4. Communication of the data: The data will not be communicated to third parties except by legal obligation.
  5. Data storage: Database hosted by Occentus Networks (EU)
  6. Rights: At any time you can limit, recover and delete your information.

  1.   Diego chertoff said

    Hello, I see that the Poppler library is already installed on my Linux Mint, but I have no idea how to use it. Could you give an example? Thanks